config:icp

NAME
config:icp - Configures ICP caching.

SYNOPSIS
config:icp [options]

DESCRIPTION
The config:icp command enables you to configure ICP caching through a variety of options. Use the config:icp command with options to configure mode, port numbers, timeouts, and to enable ICP multicast. You must use one of the options described below.

OPTIONS
The following options are supported for the config:icp command:

  mode <receive | send-receive | disabled>
Sets the ICP mode for hierarchical caching. Type receive if you want to allow the proxy to only receive ICP queries. Type send-receive if you want the proxy to both send and receive ICP queries. Type disabled if you want to disable the proxy from sending and receiving ICP queries. (The default value is disabled.)

  port <portnum>
Specifies the UDP port that you want to use for ICP messages. (The default is 3130.)

  multicast <on | off>
Enables (on) or disables (off) ICP multicast. (The default value is off.)

  query-timeout <seconds>
Specifies the timeout duration in seconds used for ICP queries. (The default value is 2.)

  query-timeout <seconds>
Retrieves (and updates) your icp.config file from a URL that you specify.

EXAMPLES

  Example 1. Enabling the proxy to receive ICP queries

traffic_shell> config:icp mode receive
traffic_shell>

  Example 2. Specifying UDP port number 3130 for ICP messages

traffic_shell> config:icp port 3130
traffic_shell>

  Example 3. Enabling ICP multicast

traffic_shell> config:icp multicast on
traffic_shell>

  Example 4. Specifying an ICP query timeout duration of two

  seconds

traffic_shell> config:icp query-timeout 2
traffic_shell>

  Example 5. Specifying a URL from which the proxy should

  retrieve and install or update your icp.config

  file

traffic_shell> config:icp peers http://somedomain.com/path/icp.config
traffic_shell>

SEE ALSO
show:icp, show:icp-stats